/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: PerfMetricBase.java 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.clustermanager.api;

import java.io.Serializable;
import java.util.Date;

/**
 * Base class of performance metric values
 */
public abstract class PerfMetricBase implements Serializable {
    private static final long serialVersionUID = 2529372346239353079L;

    protected Date timeStamp;

    /**
     * Constructs a PerfMetricBase with a given timestamp
     * 
     * @param timeStamp the time at which the metric value was measured
     */
    protected PerfMetricBase(final Date timeStamp) {
        this.timeStamp = timeStamp;
    }

    /**
     * Returns the time at which the metric value was measured
     * 
     * @return the time at which the metric value was measured
     */
    public Date getTimeStamp() {
        return this.timeStamp;
    }

    public void setTimeStamp(final Date timeStamp) {
        this.timeStamp = timeStamp;
    }
}
