/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: PerfSimpleMetric.java 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.clustermanager.api;

import java.io.Serializable;
import java.util.Date;

/**
 * Performance metric value for non-composite metrics
 */
public class PerfSimpleMetric extends PerfMetricBase implements Serializable {
    private static final long serialVersionUID = 8106970931439706283L;

    private float value;

    /**
     * Constructs a PerfSimpleMetric
     * 
     * @param timeStamp the time at which the metric value was measured
     * @param value the value of the metric
     */
    public PerfSimpleMetric(final Date timeStamp, final float value) {
        super(timeStamp);
        this.value = value;
    }

    /**
     * Returns the value of the metric
     * 
     * @return the value of the metric
     */
    public float getValue() {
        return this.value;
    }

    public void setValue(final float value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return "(time=" + this.timeStamp + ",value=" + this.value + ")";
    }

}
