/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VirtualMachineCreatedEvent.java 224 2011-08-03 09:13:43Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.clustermanager.api.event;

import java.io.Serializable;

@SuppressWarnings("serial")
public class VirtualMachineCreatedEvent implements Serializable {

    private String vmName;

    private String vmProviderId;

    public VirtualMachineCreatedEvent(final String vmName, final String vmProviderId) {
        super();
        this.vmName = vmName;
        this.vmProviderId = vmProviderId;
    }

    public String getVmName() {
        return this.vmName;
    }

    public void setVmName(final String vmName) {
        this.vmName = vmName;
    }

    public String getVmProviderId() {
        return this.vmProviderId;
    }

    public void setVmProviderId(final String vmProviderId) {
        this.vmProviderId = vmProviderId;
    }

    @Override
    public String toString() {
        return this.getClass().getSimpleName() + " [vmName=" + this.vmName + ", vmProviderId=" + this.vmProviderId + "]";
    }

}
